com.ihr.xbrl.om

## Class RSRemoteCatalogResolver.StaticCatalogEntry

- java.lang.Object
- - com.ihr.xbrl.om.RSRemoteCatalogResolver.StaticCatalogEntry

- All Implemented Interfaces:
    java.lang.Comparable<RSRemoteCatalogResolver.StaticCatalogEntry>
  Enclosing class:
    RSRemoteCatalogResolver

      public static class RSRemoteCatalogResolver.StaticCatalogEntry
      extends java.lang.Object
      implements java.lang.Comparable<RSRemoteCatalogResolver.StaticCatalogEntry>

  This is the object model representation of an entry in the static catalog.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSRemoteCatalogResolver.StaticCatalogEntry(java.lang.String id, java.lang.String name, java.net.URI uriStartString, java.net.URI remoteZipFile, java.lang.String path, java.lang.String version, java.lang.String _case, java.lang.String requires, java.lang.String format, java.lang.String obsolete, java.lang.String installOnUpdate, java.lang.String hidden)` Instantiates a new static catalog entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RSRemoteCatalogResolver.StaticCatalogEntry o)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getCase()` Gets the case.
    `RSRemoteCatalogResolver.CatalogFormat` | `getFormat()` Gets the format.
    `java.lang.String` | `getId()` Gets the id.
    `java.lang.String` | `getName()` Gets the name.
    `java.lang.String` | `getPath()` Gets the path.
    `java.net.URI` | `getRemoteZipFile()` Gets the remote zip file.
    `java.net.URI` | `getUriStartString()` Gets the uri start string.
    `java.lang.Object` | `getVersion()` Gets the version.
    `int` | `hashCode()`
    `boolean` | `isHidden()` Checks if is hidden.
    `boolean` | `isInstallOnUpdate()` Checks if is install on update.
    `boolean` | `isObsolete()` Checks if is obsolete.
    `boolean` | `matches(java.net.URI u)` Matches.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSRemoteCatalogResolver.StaticCatalogEntry

          public RSRemoteCatalogResolver.StaticCatalogEntry(java.lang.String id,
                                                    java.lang.String name,
                                                    java.net.URI uriStartString,
                                                    java.net.URI remoteZipFile,
                                                    java.lang.String path,
                                                    java.lang.String version,
                                                    java.lang.String _case,
                                                    java.lang.String requires,
                                                    java.lang.String format,
                                                    java.lang.String obsolete,
                                                    java.lang.String installOnUpdate,
                                                    java.lang.String hidden)

      Instantiates a new static catalog entry.
      Parameters:
        `id` - the id
        `name` - the name
        `uriStartString` - the uri start string
        `remoteZipFile` - the remote zip file
        `path` - the path
        `version` - the version
        `_case` - the _case
        `requires` - the requires
        `format` - the format
        `obsolete` - the obsolete
        `installOnUpdate` - if true, and the taxonomy is not installed installation will be forced
        `hidden` - the hidden

  - ### Method Detail

    - #### getFormat

          public RSRemoteCatalogResolver.CatalogFormat getFormat()

      Gets the format.
      Returns:
        the format

    - #### isObsolete

          public boolean isObsolete()

      Checks if is obsolete.
      Returns:
        the obsolete

    - #### isHidden

          public boolean isHidden()

      Checks if is hidden.
      Returns:
        the hidden

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### getRemoteZipFile

          public java.net.URI getRemoteZipFile()

      Gets the remote zip file.
      Returns:
        the remoteZipFile

    - #### getUriStartString

          public java.net.URI getUriStartString()

      Gets the uri start string.
      Returns:
        the uriStartString

    - #### getPath

          public java.lang.String getPath()

      Gets the path.
      Returns:
        the path

    - #### getCase

          public java.lang.String getCase()

      Gets the case.
      Returns:
        the _case

    - #### getVersion

          public java.lang.Object getVersion()

      Gets the version.
      Returns:
        the version

    - #### matches

          public boolean matches(java.net.URI u)

      Matches.
      Parameters:
        `u` - the u
      Returns:
        true, if successful

    - #### getId

          public java.lang.String getId()

      Gets the id.
      Returns:
        the id

    - #### compareTo

          public int compareTo(RSRemoteCatalogResolver.StaticCatalogEntry o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<RSRemoteCatalogResolver.StaticCatalogEntry>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### isInstallOnUpdate

          public boolean isInstallOnUpdate()

      Checks if is install on update.
      Returns:
        true, if is install on update